JBoss API: Class AutoDeployer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class AutoDeployer

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.deployment.AutoDeployer
                        |
                        +--org.jboss.ejb.AutoDeployer

All Implemented Interfaces:
  AutoDeployerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, java.lang.Runnable, Service, ServiceMBean

Deprecated. Use org.jboss.deployment.AutoDeployer

public class AutoDeployer
extends AutoDeployer

This class has been moved to org.jboss.deployment.AutoDeployer and only exists here for backward compatibility.

Version:
  $Revision: 1.17.4.4 $
Author:
  Scott.Stark@jboss.org

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.deployment.AutoDeployerMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`AutoDeployer()` Deprecated.

Methods inherited from class org.jboss.deployment.AutoDeployer
`deploy, getDeployers, getName, getObjectName, getTimeout, getURLs, run, setDeployers, setTimeout, setURLs, startService, stopService, undeploy`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### AutoDeployer

    public AutoDeployer()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.